Skip to main content
POST
/
networks
/
custom
/
creativetable
Find Custom Creative Settings (Advanced)
curl --request POST \
  --url https://api.eflow.team/v1/networks/custom/creativetable \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "filters": {
    "custom_setting_status": "active"
  },
  "search_terms": [
    {
      "search_type": "name",
      "value": "holiday"
    }
  ]
}
'
{
  "custom_creative_settings": [
    {
      "network_custom_creative_setting_id": 123,
      "network_id": 123,
      "network_offer_creative_id": 123,
      "network_offer_ids": [
        123
      ],
      "network_affiliate_ids": [
        123
      ],
      "name": "<string>",
      "custom_setting_status": "active",
      "time_created": 1734455015,
      "time_saved": 1734455015,
      "optimized_thumbnail_url": "<string>",
      "relationship": {
        "affiliates": [
          {}
        ],
        "offers": [
          {}
        ],
        "creative": {}
      }
    }
  ],
  "paging": {
    "page": 123,
    "page_size": 123,
    "total_count": 123
  }
}
Search, filter, and paginate custom creative settings. Supports filtering by offer IDs, affiliate IDs, and setting status, plus text search on name, offer, and affiliate. Pagination and ordering are controlled via query parameters. Set relationship=all to include associated affiliates, offers, and creative details.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Query Parameters

page
integer
default:1

Page number (1-based).

page_size
integer
default:50

Number of results per page.

order_field
enum<string>

Field to order results by.

Available options:
name,
time_created,
time_saved,
id
order_direction
enum<string>

Sort direction.

Available options:
asc,
desc
relationship
enum<string>

Set to all to include relationship data (affiliates, offers, creative).

Available options:
all

Body

application/json
filters
object
search_terms
object[]

Array of search filters to apply.

Response

200 - application/json

OK

custom_creative_settings
object[]
paging
object